Subject: [bug#44656] [PATCH] Upgrade pypy3

From: Maxim Cournoyer <[email-masked]>
Date: Fri, 06 Aug 2021 10:22:54 -0400

Hello Lars-Dominik,

Lars-Dominik Braun <[email-masked]> writes:

> Hi Maxim,
>
> I realize I’m late, so only one comment:
>
>> > +    (native-search-paths
>> > +     (list (search-path-specification
>> > +            (variable "PYTHONPATH")
>> > +            (files '("lib/pypy3.6/site-packages")))))
>> About this search path, how it is supposed to work?  The version is
>> wrong (3.6) and the package doesn't include this directory, and we do
>> not have a pypy build system or other pypy packages that would make use
>> of it.  Am I missing something?
> No, the the version is not wrong. pypy tracks CPython’s development
> (features, standard library) and thus implements a certain “Python
> version”, in this case 3.6, even though pypy’s own version says
> something else. But, as you said, pypy in Guix is not really useful
> anyway right now without any packages.
>
> (That was the idea of the symlinks by the way, providing pypy as a
> drop-in replacement for python-wrapper in python-build-system.)
>
> Cheers,
> Lars

Thanks for taking the time to explain!  It makes sense, but I'd need to
educate myself better about how Pypy can be used along our current
Python version library (as in, does it require its own .pyc files? Does
it dismiss CPython's produced ones?  Can we not point it to consume our
existing Python libraries (it's different sys.path suggest differently),
etc.)

Maxim